package com.qhclh.ytzh.work.carsmannage;

import android.widget.ListView;

import com.qhclh.ytzh.R;
import com.qhclh.ytzh.base.BaseFragment;
import com.qhclh.ytzh.bean.ScanBean;
import com.qhclh.ytzh.work.scan.ScanAdapter;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;

/**
 * Created by 青花瓷 on 2017/11/30.
 */
///< 车辆管理鸡苗
public class ChicksFragment extends BaseFragment{
    @BindView(R.id.lv_infos_chicks)
    ListView lv_infos_chicks;
    private List<ScanBean> scanBeanList;
    private ScanAdapter scanAdapter;
    @Override
    protected int setLayout() {
        return R.layout.fragment_chicks;
    }

    @Override
    protected void initView() {
    }

    @Override
    protected void initData() {
        scanBeanList = new ArrayList<>();
        for (int i=0;i<4;i++){
            scanBeanList.add(new ScanBean(i,"车牌号"+i,"司机"+i,"联系方式"+i,"批次"+i,"厂址"+i,
                    "时间"+i,"数量"+i,"免疫"+i,"均匀度"+i,"起始时间"+i,"到达时间"+i));
        }
        scanAdapter = new ScanAdapter(getActivity(),scanBeanList);
        lv_infos_chicks.setAdapter(scanAdapter);
    }

    @Override
    protected void initOper() {

    }
}
